%define desktop_file 1
%define desktop_file_utils_version 0.2.93

Summary: The Mail Transport Agent Switcher
Name: asianux-switch-mail
Version: 1.0
Release: 7AX
Source0: %{name}-%{version}.tar.gz
Source1: asianux-switch-mail.desktop
Source2: asianux-switch-mail.mo-zh_TW
Patch:   asianux-switch-mail-python2.3.patch
Patch1:  asianux-switch-mail-tui.patch
Patch2:  asianux-switch-mail-1.0-utf8.patch
Patch3:  asianux-switch-mail-switchmail_gui.patch
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-root

BuildArch: noarch

Requires: newt
Requires: /usr/sbin/alternatives
Requires: python >= 2.2

BuildPreReq: python >= 2.2
BuildPreReq: gettext
BuildPreReq: automake
BuildPreReq: intltool

Obsoletes: asianux-switchmail
Provides: asianux-switchmail

%if %{desktop_file}
BuildPrereq: desktop-file-utils >= %{desktop_file_utils_version}
%endif

%description
asianux-switch-mail is the Mail Transport Agent Switcher for Asianux.
It enables users to easily switch between various Mail Transport Agent
that they have installed.

%package gnome
Summary: A GUI interface for Mail Transport Agent Switcher.
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: libglade2
Requires: pygtk2-libglade
Requires: pygtk2
Requires: python >= 2.2
Requires: /usr/sbin/alternatives
Obsoletes: asianux-switchmail-gnome
Provides: asianux-switchmail-gnome

%description gnome
The asianux-switch-mail-gnome package contains a GNOME interface for the
Mail Transport Agent Switcher.

%prep
%setup -q
%patch -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

%install
rm -rf %{buildroot}
%makeinstall

%if %{desktop_file}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mv $RPM_BUILD_ROOT/etc/X11/applnk/System/* $RPM_BUILD_ROOT%{_datadir}/applications
rm -rf $RPM_BUILD_ROOT/etc/X11/sysconfig/%{name}.desktop
%endif

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applnk/System
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/applnk/System
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications

mkdir -p $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/locale/zh_TW/LC_MESSAGES/asianux-switch-mail.mo

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/asianux-switch-mail
%{_bindir}/asianux-switch-mail-nox
%{_sbindir}/asianux-switch-mail
%{_sbindir}/asianux-switch-mail-nox
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/functions.py*
%{_datadir}/%{name}/functions_tui.py*
%{_datadir}/%{name}/switchmail_tui.py*
%config(noreplace) /etc/pam.d/*
%config(noreplace) /etc/security/console.apps/%{name}-nox
/usr/share/locale/zh_TW/LC_MESSAGES/asianux-switch-mail.mo

%files gnome
%defattr(-,root,root)
%config(noreplace) /etc/security/console.apps/%{name}
%if %{desktop_file}
%{_datadir}/applnk/System/asianux-switch-mail.desktop
%else
/etc/X11/sysconfig/*.desktop
/etc/X11/applnk/System/*.desktop
%endif
%{_datadir}/pixmaps/*
%{_datadir}/%{name}/switchmail_gui.py*
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/switchmail.glade

%changelog
* Wed Aug 09 2006 Hua Jie <jiehua@redflag-linux.com> 1.0-7AX
- fix switchmail_gui problem

* Mon Oct 24 2005 Shiro Yamada <shiro@miraclelinux.com> 1.0-6AX
- remove warning messages

* Tue Jun 28 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-5AX
- add Traditional Chinese message file

* Wed May 11 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-4AX
- change the TUI tool to English
- modify the desktop file to support different language

* Sun May 08 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-3AX
- rebuild to support python 2.3

* Sun Dec 26 2004 Hua Jie <jiehua@redflag-linux.com> 1.0-2
- use the real filename instead of *

* Mon Apr 05 2004 Hua Jie <jiehua@redflag-linux.com>
- create package
